@import '_content/Blazor.SignaturePad/Blazor.SignaturePad.g22u5lm4z9.bundle.scp.css';
@import '_content/Blazored.Toast/Blazored.Toast.bundle.scp.css';
@import '_content/Z.Blazor.Diagrams/Z.Blazor.Diagrams.ezdqu7jd9f.bundle.scp.css';

/* /Components/StockItemTraceabilities/TraceabilityWidget.razor.rz.scp.css */
div[b-l1k4iowtex] {
    width: 230px;
    outline: 1px solid black;
    padding: 20px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

    div > h5[b-l1k4iowtex] {
        font-weight: 600;
        text-transform: uppercase;
        text-align: center;
        margin-bottom: 0px;
    }

[b-l1k4iowtex] .diagram-port {
    position: absolute;
    width: 10px;
    height: 10px;
    background-color: black;
    left: 50%;
    transform: translate(-50%, -50%);
}

    [b-l1k4iowtex] .diagram-port.top {
        border-top-left-radius: 50%;
        border-top-right-radius: 50%;
        top: -5px;
    }

    [b-l1k4iowtex] .diagram-port.bottom {
        border-bottom-left-radius: 50%;
        border-bottom-right-radius: 50%;
        bottom: -15px;
    }

    [b-l1k4iowtex] .diagram-port.right {
        border-top-right-radius: 50%;
        border-bottom-right-radius: 50%;
        right: -15px;
        left: auto;
        top: 50%;
    }

    [b-l1k4iowtex] .diagram-port.left {
        border-top-left-radius: 50%;
        border-bottom-left-radius: 50%;
        left: 0px;
        right: auto;
        top: 50%;
    }
/* /Shared/MainLayout.razor.rz.scp.css */
.page[b-5dkewrfauh] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-5dkewrfauh] {
    flex: 1;
}

.sidebar[b-5dkewrfauh] {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

.top-row[b-5dkewrfauh] {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-5dkewrfauh]  a, .top-row[b-5dkewrfauh]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

        .top-row[b-5dkewrfauh]  a:hover, .top-row[b-5dkewrfauh]  .btn-link:hover {
            text-decoration: underline;
        }

        .top-row[b-5dkewrfauh]  a:first-child {
            overflow: hidden;
            text-overflow: ellipsis;
        }

@media (max-width: 640.98px) {
    .top-row[b-5dkewrfauh] {
        justify-content: space-between;
    }

        .top-row[b-5dkewrfauh]  a, .top-row[b-5dkewrfauh]  .btn-link {
            margin-left: 0;
        }
}

@media (min-width: 641px) {
    .page[b-5dkewrfauh] {
        flex-direction: row;
    }

    .sidebar[b-5dkewrfauh] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-5dkewrfauh] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

        .top-row.auth[b-5dkewrfauh]  a:first-child {
            flex: 1;
            text-align: right;
            width: 0;
        }

    .top-row[b-5dkewrfauh], article[b-5dkewrfauh] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}
